Last Comment Bug 699001 - fieldSelectionSelect in gcli.properties should use … instead of "..."
: fieldSelectionSelect in gcli.properties should use … instead of "..."
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: Firefox 11
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
hg.mozilla.org/mozilla-central/file/3...
Depends on: 701664
Blocks: GCLI-SHIP 697140
  Show dependency treegraph
 
Reported: 2011-11-02 02:19 PDT by Francesco Lodolo [:flod]
Modified: 2011-11-22 06:41 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (982 bytes, patch)
2011-11-17 06:38 PST, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Review

Description Francesco Lodolo [:flod] 2011-11-02 02:19:52 PDT
fieldSelectionSelect=Select a %S ...

Unless there are specific technical reasons, this string should be using the single unicode character like all other strings in Mozilla's products
fieldSelectionSelect=Select a %S…

It's not necessary to change the name of this key for l10n.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-17 06:38:10 PST
Created attachment 575167 [details] [diff] [review]
upload 1

Should be automatic: https://github.com/mozilla/gcli/pull/45#issuecomment-2752002
Another time, for small patches, I'll skip the github stage.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-17 15:58:44 PST
https://tbpl.mozilla.org/?tree=Try&rev=47353dce1691
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-18 10:00:48 PST
Moving GCLI bugs to Developer Tools: Console. Filter on 'baked beans are off'.
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-18 12:41:41 PST
attached patch does not appear to be valid UTF-8. Needs fixing.
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-18 14:17:54 PST
Comment on attachment 575167 [details] [diff] [review]
upload 1

Bugzilla is serving this with the encoding 'windows-1252'. Wrong!
Trying setting the mime-type to 'text/plain; charset=UTF-8' in a probably vain attempt to bend it to my will.
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-18 14:29:44 PST
Further problem, for some reason the ... in the commit comment was bad.
I suggest taking this: https://hg.mozilla.org/users/jwalker_mozilla.com/gcli-patches/file/a072b3acae66/elipsis-699001.patch
Also write to your parlimentary representative to complain.
Comment 7 Rob Campbell [:rc] (:robcee) 2011-11-18 14:40:31 PST
(In reply to Joe Walker from comment #6)
> Further problem, for some reason the ... in the commit comment was bad.
> I suggest taking this:
> https://hg.mozilla.org/users/jwalker_mozilla.com/gcli-patches/file/
> a072b3acae66/elipsis-699001.patch
> Also write to your parlimentary representative to complain.

will do, sir!
Comment 8 Rob Campbell [:rc] (:robcee) 2011-11-21 13:03:12 PST
https://hg.mozilla.org/integration/fx-team/rev/aecdea39a65e
Comment 9 Rob Campbell [:rc] (:robcee) 2011-11-22 06:41:02 PST
https://hg.mozilla.org/mozilla-central/rev/aecdea39a65e

Note You need to log in before you can comment on or make changes to this bug.